curl --request POST \
--url https://use.hoop.dev/api/machineidentities \
--header 'Content-Type: application/json' \
--data '
{
"name": "backend-prod",
"attributes": [
"env:prod",
"team:backend"
],
"connection_names": [
"prod-postgres",
"api-proxy"
],
"description": "Production backend service identity"
}
'{
"name": "backend-prod",
"attributes": [
"env:prod",
"team:backend"
],
"connection_names": [
"prod-postgres",
"api-proxy"
],
"created_at": "2024-07-25T15:56:35.317601Z",
"credentials": [
{
"aws_access_key_id": "<string>",
"aws_secret_access_key": "<string>",
"command": "<string>",
"connection_name": "<string>",
"connection_string": "<string>",
"connection_subtype": "<string>",
"connection_type": "<string>",
"database_name": "<string>",
"endpoint_url": "<string>",
"hostname": "<string>",
"password": "<string>",
"port": "<string>",
"proxy_token": "<string>",
"secret_key": "<string>",
"username": "<string>"
}
],
"description": "Production backend service identity",
"id": "BF997324-5A27-4778-806A-41EE83598494",
"updated_at": "2024-07-25T15:56:35.317601Z"
}Create a machine identity (non-human identity) with native credentials for each connection
curl --request POST \
--url https://use.hoop.dev/api/machineidentities \
--header 'Content-Type: application/json' \
--data '
{
"name": "backend-prod",
"attributes": [
"env:prod",
"team:backend"
],
"connection_names": [
"prod-postgres",
"api-proxy"
],
"description": "Production backend service identity"
}
'{
"name": "backend-prod",
"attributes": [
"env:prod",
"team:backend"
],
"connection_names": [
"prod-postgres",
"api-proxy"
],
"created_at": "2024-07-25T15:56:35.317601Z",
"credentials": [
{
"aws_access_key_id": "<string>",
"aws_secret_access_key": "<string>",
"command": "<string>",
"connection_name": "<string>",
"connection_string": "<string>",
"connection_subtype": "<string>",
"connection_type": "<string>",
"database_name": "<string>",
"endpoint_url": "<string>",
"hostname": "<string>",
"password": "<string>",
"port": "<string>",
"proxy_token": "<string>",
"secret_key": "<string>",
"username": "<string>"
}
],
"description": "Production backend service identity",
"id": "BF997324-5A27-4778-806A-41EE83598494",
"updated_at": "2024-07-25T15:56:35.317601Z"
}Documentation Index
Fetch the complete documentation index at: https://mintlify.hoop.dev/docs/llms.txt
Use this file to discover all available pages before exploring further.
The request body resource
Created
"backend-prod"
["env:prod", "team:backend"]["prod-postgres", "api-proxy"]"2024-07-25T15:56:35.317601Z"
Show child attributes
"Production backend service identity"
"BF997324-5A27-4778-806A-41EE83598494"
"2024-07-25T15:56:35.317601Z"
Was this page helpful?